 [ Софтпанорама 1994, No.1 (47) *** NEWS *** Составитель Н.Н.БЕЗРУКОВ ]
 ======================================================================
   Рекомендуется читать через Outliner, например MS WORD или MultiEdit
   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ┌───────────────────────────────────────────────────────────────┐
    │  П А Н О Р А М А   К О М М Е Р Ч Е С К И Х   Н О В О С Т Е Й  │
    └───────────────────────────────────────────────────────────────┘

**************************** M A R K E T ******************************

Lotus ведет нечестную борьбу против Борланд и пока выигрывает...

  Фирма Лотус подала  в суд на  Борланд за нарушение  авторский прав на
  интерфейс и макроязык 1-2-3 и выиграла дело в суде первой  инстанции.
  В ходе процесса, который происходил по месту расположения  штаб-квар-
  тиры Лотус стало  ясно, что это  просто нечестный метод  конкурентной
  борьбы с Quattro Pro, который постоянно теснил Lotus на рынке  MS-DOS
  а с появлением версии  для Windows сделал заявку  на победу и в  этой
  среде. Будучи  не в  состоянии выиграть  у Борланд  созданием лучшего
  продукта Lotus решила взять реванш в суде и тщательно подготовилась к
  процессу, который в какой-то мере застал Борланд врасплох. Сумев про-
  вести процесс в суде своего штата Lotus обеспечила себе  дополнитель-
  ные преимущества.

  В феврале дело будет рассматриваться в аппеляционном суде и в  случае,
  если  Борланд  опять  проиграет,  то  ему придется выплатить более 100
  млн.долларов в качестве компенсации, а также оплатить судебные издерж-
  ки. Именно в эту сумму Lotus оценила свои потери,

  С точки зрения программиста дело выглядит абсурдным, поскольку  совер-
  шенно ясно, что совместимость по макроязыку важна не только и не  сто-
  лько для той  или иной компании,  сколько для пользователей.  Язык как
  таковой, в том числе и макроязык спредшитов не может быть объектом ав-
  торского права. С таким же успехом IBM могла бы подать в суд на любого
  из разработчиков компилятора  с Фортрана. И  то, что он  увязан с меню
  дела не меняет.

  Более того, кривой интерфейс 1-2-3 не был в Quattro Pro главным.  Соб-
  ственный интерфейс Quattro Pro был явно предпочтительным и носил отпе-
  чаток той турбосреды, с которой многие читатели знакомы по  компилято-
  рам. Борланд обеспечила в этом продукте возможность самому пользовате-
  лю проектировать главное меню и интерфейс и в качестве примера  предо-
  ставляла меню 1-2-3. Т.е. как не крути это не было рабским копировани-
  ем, к которому можно было бы придраться хотя бы формально.

  В общем, прежде чем покупать что-то от Lotus или использовать его про-
  дукты при обучении в вузах стоит тщательно подумать. Если с  созданием
  конрурентоспособных продуктов у фирмы есть определенные трудности,  то
  по части умения вести дело в суде она похоже на высоте.
 #

Количество домашних компьютеров в Америке увеличивается втрое быстрее чем
количество компьютеров в оффисах...
  Многие семьи уже имеют по два-три компьютера. Количество установленных
  CD ROM на домашних компьютерах превышает количество CD ROM в  учрежде-
  ниях.

  Вузовские библиотеки тоже переходят к хранению своих фондов на сидиро-
  мах поскольку это освобождает огромные площади хранилищ, одно содержа-
  ние которых уже полностью оправдывает переход на сидиромы.

  Любопытно, что Массачюсетсткая высшая юридическая школа (Massachusetts
  School  of  Law)  подала  в  суд  на  Американскую  ассоциацию юристов
  (American Bar Association),  поскольку последняя имеет  ограничения по
  аккредитации учебных заведений в зависимости от количества книг в биб-
  лиотеке. Поскольку Массачюсетсткая высшая юридическая школа перешла на
  электронное хранение и электронные базы данных вместо покупки  дорогих
  кожаных фолиантов, она считает,  что данное ограничение в  современных
  условиях представляется неоправданным и намерена добиваться его отмены
  в судебном порядке.
 #

AMD обретает поддержку Digital и наращивает произвоство 486 процессоров
несмотря на судебные прeследования со стороны Intel...
  Последняя начала производство микропроцессоров 486 по технологии,  ли-
  цензированной у AMD. Учитывая продолжающийся суд с Intel по поводу на-
  рушения авторских прав на  микрокод фирмы Intel, это  соглашение пред-
  ставляется очень важным. К концу года AMD выпустит порядка двух  мили-
  лионов чипов и Intel я думаю потеряет интерес к победе в судебном  по-
  рядке, поскольку поезд просто уйдет.
 #

Не все коту масленица: Intel проигрывает судебное дело CYRIX и заплатит
ей порядка десяти миллионов компенсации за нанесенный ущерб.

Технология XXI века...
  Sony и Etak Inc. скоро выпустят систему навигации для автомобилей по-
  зволяющую через спутниковую  систему определять положение  автомобиля
  на местности  и показывать  его на  карте соответствующей  местности.
  Глобальный атлас дорог  будет записан на  сидиром и регулярно  обнов-
  ляться. Он даст возможность путешественникам быстрее находить  отели,
  рестораны, магазины, музеи и т.д. в незнакомой стране.
 #

*************************** H A R D W A R E ***************************

Intel обещает продемонстрировать микропроцесcор P6 весной 1995...
  Наращивая выпуск Pentium и  добившись снижения тепловыделения за  счет
  модификации планировки  кристалла фирма  не собирается  спокойно ждать
  пока Power PC откусят у нее часть рынка. Правда это или нет, но  пока-
  зать P6 она обещает следующей весной, т.е. большинство  производителей
  будут теперь ждать этого нового кристалла для того, чтобы сравнить его
  с Pentium. Т.е. от момента повления 486 микропроцессоров до  появления
  Pentium прошло гле-то лет 7,  то от появления Pentium до  появления P6
  пройдет всего три года. Это означает, что фирма удалось сократить свой
  технологический цикл почти в два раза. Возникает вопрос когда появятся
  P7 и P8. Неужели с интервалом где-то в год ?.
 #

CD-ROM cтановятся стандартной компонентой перснальных и многие фирмы
начали включать его в стандартную конфигурацию вместо пятидюймового дис-
ковода...
  При цене порядка  $400 это не  очень дешевое удовольствие,  однако они
  того стоят. Десяток  эсдиромов это очень  приличная библиотека. И  это
  намного делевле, чем очень приличная библиотека. У нас это еще, к  со-
  жалению экзотика,  а зря:  фактически это  может существенно сократить
  разрыв между странами Запада и странами СНГ.
 #

Ведущие фирмы распродают модели ниже 486sx33 по бросовым ценам и прекращают
их производство. Растет популярность конфигурации AMD486dx2-66-8-340...
  После появления на рынке микропроцессоров AMD 486dx2-66, которые деше-
  вле микропроцессоров  фирмы Intel  более чем  на $100,  компьютьтер VL
  486sx66-8-340 c цветным SVGA монитором и видеоускорителем можно купить
  дешевле, чем за $1500. Учитывая, что винчестр 340M Western Digital это
  один из самых дешевых винчестеров при пересчете цены на мегабайт  (ми-
  нимальная цена примерно $230)  американцы быстро почувствали выгоду  и
  начали приобретать такие компьютеры не только для фирм, но и для дома.
  Т.е. комбинация AMD 486dx2-66-8-340 приобрела настолько массовые  раз-
  меры, что  многие фирмы  почувствовали здесь  для себя  рынок и начали
  предагать эту конфигурацию в качестве стандартной.
 #

Быстро растет популярность клавиатур с дополнительным левым рядом клавиш
F1-F10 (как в XT) и клавиатур с центральным вcтроенным трекболом (как в
Apple PowerBook)...
  Поскольку создание Софтпанорамы вещь  для рук автора безусловно  вред-
  ная, я неравнодушен к  устройствам облегчающим нелегкий труд  набивки.
  Оказывается время этих клавиатур пришло и выбор коллосален. Эти клави-
  атуры чуть дороже стандартных, но значительно удобнее при большиъ  об-
  хмаъ  набивки.   Например  клавиатура   поставляемая  с   компьютерами
  Gateway2000 имеет еще и встроенный макрогенератор, позволяющий перена-
  значать любую клавишу или присваивать ей какую-нибудь стандартную  по-
  следовательность нажатий клавиш. Лично мне очень нравятся клавитуры  с
  трекболом, расположенным перед клавишей  "пробел". Ряд фирм начал  вы-
  пуск трекболов, присоединяемых к стандартным клавиатурам спереди. Этот
  трекбол расположен на панели которая имеет шириру клавиатуры и подушки
  для кистей: не нравится не покупай и не пользуйся, хотя на мой  взгляд
  это не может не нравиться: и стоит копейки и одна подставка для кистей
  рук уже большое удобство.

  "Ломаные" клавиатуры с разнесенными клавишами для правой и левой руки
  мне еще не попадались да и пожалуй это слишком.
 #

Mодемы  продолжают  дешеветь.  V.fast   уже  дешевле  $300.   Подешевели
модемы Telebit...
  В январе произошло существенное падение цен на Telebit. Любую модель
  можно купить за $720, а некоторые дешевле.

  Zoom предлагает модемы V.fast дешевле $300.
 #

************************** S O F T W A R E *****************************

Появился Novell DOS 7.0 beta. Отзывы восторженные. Включает Netware
Lite.

Барина все нету. Барин все не едет: Window 4.0 не будет еще как
минимум год.

Шлифовка OS/2 приводит к сокращению требований к оперативной памяти
и устранению ошибок: вышел новый релиз (maintenance release)...
  Новый релиз значительно лучше работает на компьютерах с 4M,
  хотя все равно лучше иметь 8M. Он может быть получен от фирмы
  или через Compuserv.
 #

Появилась версия Stacker 3.0 для OS/2...
  Поскольку Microsoft некрасиво поступила со Stack Electronics, попытав-
  шись "достать" эту фирму в  суде за нарушение каких-то своих  патентов
  которые она  догадалась подать,  не имея  соответствующего продукта, а
  просто почувствов рынок при  успехе Stacker и имея  мощный юридический
  отдел. Затем Microsoft  в лучших традициях  своих отношений с  мелкими
  фирмами подставила конкуренту ножку,  выпустив MS-DOS 6.2 по  бросовым
  ценам с возможностяи сопоставимыми со Stacker. Естественно, что  Stack
  Electronics понес финансовые потери и является теперь естественным со-
  юзником IBM и Novell в борьбе против доминирования Microsoft на  рынке
  операционных систем. Поскольку Stacker 3.0 это проверенный  качествен-
  ный продукт,  наличие версии  под OS/2  существенно повышает привлека-
  тельность перехода на  эту операционку тех,  кто использует Stacker  c
  MS-DOS, поскольку не надо выгружать содержимое вынчестра и со  сжатыми
  томами можно работать из OS/2, Windows или MS-DOS.
 #

Quattro Pro 5.0 посылает Lotus 1-2-3 4.0 в нокдаун. Корпорации,
использующие Word Perfect начинают предпочитать Борланд...
  И это совершенно естественно. Quattro Pro 5.0 это по всем  параметрам
  лучший и при этом на  порядок более дешевый спредшит. Поддержка  Word
  Perfect делает его крайне прилекательным для тех корпораций,  которые
  не перешли на MS WORD. Разница в цене между 1-2-3 v.4.0 и Quattro Pro
  5.0 составлет ровно порядок ($49.99  и $470), т.е. тех кто  купил или
  собирается  купить  1-2-3  4.0  можно  в какой-то мере лишь пожалеть,
  конечно, если речь не идет  о людях с собственным самолетом  или дачей
  на Гаваях.
 #

Борланд может отказаться от поддержки Lotus Notes в своих продуктах или
перейти на альтернативный продукт корпорации Word Perfect  ...
  Вероломное поведение Lotus  может повториться и  в случае, если  фирма
  будет обеспечивать совместимость своиъ продуктов с Lotus Notus. Поэто-
  му наверное будет лучше, если с Notes фирма Lotus будет кувыркаться  в
  гордом одиночестве или в теплой компании с Микрософт (а там,  глядишь,
  Билл Гейтс выпустит что-то  аналогичное и мне будет  интересно посмот-
  реть, рискнет ли  Lotus подавать в  суд на Microsoft  в этом случае  -
  Microsoft это не Borland, здесь игра будет по всему полю).
 #

Borland C++ 4.0 достойный ответ на Visial C++ 7.0...
  Наконец-то действительно поддерживаются exeptions. Конечно есть ошибки
  и тем, кто делает серьезные продукты наверное стоит подождать до  вер-
  сии 4.1 или хотя бы какого  нибудь апгрейда, однако ясно, что С++  те-
  перь действительно доминирующий язык и  нравится это кому то или  нет,
  его нужно знать  (хотя продукты можно  писать и на  С ;-). Критическая
  масса литературы компиляторов и пакетов для C++ делает  целесообразным
  переход на него при прикладном программировании под Windows, поскольку
  качество поддержки компилятора во многом определяет трудоемкость  раз-
  работки. Поскольку рабочей "тачкой" разработчика повсеместно становит-
  ся 486-66-8-420, а в качестве рабочих машин ставятся комьютеры не хуже
  486sx33, существенный проигрыш в эффективности при переходе от С к С++
  в общем-то никого уже не волнует. Ну в компиляторы, библиотеки,  книги
  переносимость и несколько более высокий уровень языка это все же  плю-
  сы, которые глупо сбрасывать со счета.

  Ну и объектно-ориентрированные возможности  для работы под Windows  не
  мешают, хотя сейчас когда ажиотаж спал, их стоит оценивать более трез-
  во и не рассматривать как панацею от  всех бед, и уж тем более не  как
  новую технологию программирования. Ну а Гради Буча и прочих апологетов
  можно забросить на чердак и не отказываясь от C++.

  Короче если бы не нищета, то я сам бы стал преподавать C++  студентам,
  хотя Turbo Pascal 7.0 это неплохой язык с замечательно быстрым  компи-
  лятором.
 #

Очередные версии (Works 3.0, PC Tools 9.0 for DOS, WinZip 5.0)

  Works 3.0 for Windows ничего особо интересного не предлагает.

  В PC tools 9.0 for DOS вдруг исчез Desktop. Видимо Cental Point решила
  удержать лидерство хотя бы в номере версий.

  WinZip 5.0 обеспечивает drag and drop для просмотра, запуска распаков-
  ки и текстирования архивов.
 #


******** I N T E R N E T   И  Т Е Л Е К О М М У Н И К А Ц И И ********

Электронный адрес президента Клитона: PRESIDENT@Whitehouse.Gov.

  Пока все сообщения реально приходят в здание расположенное в 30  милях
  от Белого дома, в Glenwood,  Md., в фирму Trusted Information  Systems
  Inc. (TIS). Это связано с отсутствием места в Белом даме, однако ситу-
  ация  изменится  с  вводом   нового  корпуса  (New  Executive   Office
  building).

  TIS ежедневно получает  от одной до  шести тысяч сообщений  для Белого
  дома, которые затем сортируются, обрабатываются и передаются по назна-
  чению.
 #

Американцы планируют создание национальной информационной супермагистра-
ли. Ведущие фирмы уже предвкушают миллиардные прибыли...
  Администрация Клинтона  планирует выделить  на создание  национальной
  информационной супермагистрали от пятидесяти до ста миллиардов  долла-
  ров. Реально учитывая капиталовложения частных компаний эта цифра  мо-
  жет удвоиться.

  Несмотря на острейший траспортный кризис украинское правительство по-
  хоже не планирует на создание национальной информационной инфраструк-
  туры ни гроша. В  этом плане заслуживает сожаление  пассивная позиция
  Госкомитета по науке  и технологии, выделяющего  деньги черт знает  на
  что и  черт знает  кому с  целевыми программми  сильно смахивающими на
  кормушку для нулеводов.
 #


************************ П Р Е С Т У П Н О С Т Ь ************************

Борьба с незаконным копированием в  США приобретает размах. В 1993  году
Software Publisher's Association -  организация, защищающая права и  ин-
тересы разработчиков коммерчеcкого  программного обеспечения -  добилась
того, что американскими судами было оштрафовано 577 организации на общую
сумму 3.6 миллиона долларов.

 #

Нео-нацисты создали в Германии закрытую компьютерную сеть,  координирую-
щую деятельность количневых организаций...
  По данным  Associated Press  сеть существует  в течении  года и служит
  своего рода коодинируюшим органом неонацистов. Она состоит из по мень-
  шей мере дюжины BBS, доступ к которым ограничен теми, кто прошел  тест
  на  лояльность.  По  некоторым  оценкам  сеть объединяет порядка 1500
  крайне правых и обеспечивает  их информацией о предстояших  манифеста-
  ция, сведениями помогающими выпускать газеты и даже информацией о том,
  как изготовлять взрывчатые устройста. До сих пор сети удавалось  избе-
  гать внимания полиции, поскольку  в отличие от американских,  немецкие
  полицейские еще не слишком хорошо знакомы с новой технологией.
 #                                     (St. Petersburg Times 2/2/94 A14)
 #                                         (New York Times  12/6/93  A8)
